[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tmatrix4_double):Tmatrix4_single

Allow assignment of four-dimensional single precision matrix to four-dimensional single precision matrix

## Declaration

Source position: matrix.pp line 525

`operator operator :=(`
`const v: Tmatrix4_double`
`):Tmatrix4_single;`

## Description

This operator allows you to use a four-dimensional matrix with double precision values wherever a four-dimensional matrix with single precision is expected. Some precision is lost because of the conversion.